function MyMove(Direction,Way,pos)
	if Direction ~= Way then
		return -1;
	end;
	
	if pos < 0 or pos > 55 then
		return -2;
	end;
	if Way == Down then
		return pD[pos];
	end;
	
	if Way == Up then
		return pU[pos];
	end;
	
	if Way == Right then
		return pR[pos];
	end;
	
	if Way == Left then
		return pL[pos];
	end;
	
	return -3;
end;
